Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_niml.read

`mvpa2.support.nibabel.afni_niml.``read`(fn, itemifsingletonlist=True, postfunction=None)

  Reads a NIML dataset

  Parameters:

  fn: str

  > Filename of NIML dataset

  itemifsingletonlist: boolean

  > If True and the NIML dataset contains of a single NIML element, then that element is returned. Otherwise a list of NIML element is returned.

  postfunction: None or callable

  > If not None then postfunction is applied to the result from reading the NIML dataset.

  Returns:

  niml: list or dict

  > (list of) NIML element(s)